/*
								+----------------------------------+
								|                                  |
								| ***   Multi-platform timer   *** |
								|                                  |
								|   Copyright  -tHE SWINe- 2006   |
								|                                  |
								|             Timer.h              |
								|                                  |
								+----------------------------------+
*/

/*
 *	passed code revision at 08-23-2006
 *
 *	removed some unnecessary #defines for linux
 *	added higher precision timer for linux (instead of clock(), gettimeofday() can be used)
 *
 *	05-10-2007
 *
 *	added conditional #include <windows.h> to make it easier to include
 *
 */

#ifndef __TIMER_INCLUDED
#define __TIMER_INCLUDED

#define TIMER_ALLOW_GETTIMEOFDAY

#ifdef WIN32
#include <windows.h>
#endif

class CTimer {
#ifdef WIN32
	LARGE_INTEGER m_n_freq;
	unsigned __int64 m_n_time;
#else
	unsigned int m_n_freq;
	unsigned int m_n_time;
#endif
	float m_f_time;

public:
	CTimer();

	void ResetTimer();
	float f_Time();
};

#endif //__TIMER_INCLUDED
